SciQLOP - Task #1480

Epic story # 1164 (In Progress): Récupération des données (serveurs de données)

User story # 1478 (Closed): Récupération des données (serveurs de données) - API Definition
Acquisition de données (API générale)
31/05/2017 03:00 PM - Anonymous

Status: Closed Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

Une API abstraite d'acquisition de données est implémentées par toutes les sources de données et permet de :
e acquérir une donnée sur une plage temporelle quelconque
Un contrdleur d'acquisition de données permet de :
e demander au contréleur de cache si une plage de données est déja au moins partiellement connue
¢ modifier la plage de données requétée pour demander a I'API| abstraite d'acquisition uniqguement les données absentes du
cache
Un contréleur de cache permet de :
e regarder si une plage de données requétée est déja dans le cache

¢ stocker des nouvelles plages d'acquisition de données dans le cache
e supprimer des plages d'acquisition de données du cache

Related issues:

Copied from Task #1376: Acquisition de données (API générale) New
Copied to Task #1814: Acquisition de données (API générale) Closed
History

#1 - 31/05/2017 03:00 PM - Anonymous
- Copied from Task #1376: Acquisition de données (API générale) added

#2 - 08/06/2017 08:37 PM - adminlpp adminlpp
- Tracker changed from User story to Task

- % Done set to 0

- revision set to r0

- blocked set to No

#3 - 23/06/2017 05:59 PM - Anonymous

- Status changed from New to In Progress

- Assignee set to Anonymous

#4 - 27/06/2017 10:45 AM - Anonymous

TODO: Faire le schéma de l'acquisition de donnée

Y inclure le network controller ?

#5 - 27/06/2017 11:04 AM - Anonymous

- Sprint changed from Sprintlnitialization to Sprint4-livraison-v0.1

#6 - 28/07/2017 11:42 AM - Anonymous

- Status changed from In Progress to Feedback
#7 - 31/07/2017 02:36 PM - Anonymous
- Copied to Task #1814: Acquisition de données (APl générale) added

#8 - 31/07/2017 02:36 PM - Anonymous
- Status changed from Feedback to Closed
